Transform to a document

- « XSLTProcessor::setSecurityPrefs

- XSLTProcessor::transformToUri »

- PHP Manual
- XSLTProcessor
- Transform to a document

# XSLTProcessor::transformToDoc

(PHP 5, PHP 7, PHP 8)

XSLTProcessor::transformToDoc — Transform to a document

### Description

public XSLTProcessor::transformToDoc(object `$document`, ?string `$returnClass` = `null`): object|false

Transforms the source node to a document (e.g. DOMDocument) applying the stylesheet given by the XSLTProcessor::importStylesheet() method.

### Parameters

`document`

  The DOMDocument or SimpleXMLElement or libxml-compatible object to be transformed.

`returnClass`

  This optional parameter may be used so that XSLTProcessor::transformToDoc() will return an object of the specified class. That class should either extend or be the same class as `document`'s class.

### Return Values

The resulting document or `false` on error.

### Examples

Example #1 Transforming to a DOMDocument

    <?php// Load the XML source$xml = new DOMDocument;$xml->load('collection.xml');$xsl = new DOMDocument;$xsl->load('collection.xsl');// Configure the transformer$proc = new XSLTProcessor;$proc->importStyleSheet($xsl); // attach the xsl rulesecho trim($proc->transformToDoc($xml)->firstChild->wholeText);?>

The above example will output:

    Hey! Welcome to Nicolas Eliaszewicz's sweet CD collection!

### See Also

- XSLTProcessor::transformToUri() - Transform to URI
- XSLTProcessor::transformToXml() - Transform to XML